---
title: USBConfiguration.interfaces
slug: Web/API/USBConfiguration/interfaces
tags:
  - API
  - Interfaces
  - Property
  - Reference
  - USB
  - USBConfiguration
  - WebUSB
  - WebUSB API
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("")}}</div>

<p class="summary">The <strong><code>interfaces</code></strong> read-only property of the {{domxref("USBConfiguration")}} interface returns an array containing instances of the {{domxref('USBInterface')}} describing each interface supported by this configuration.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">  var <var>interfaces[]</var> = USBConfiguration.interfaces</pre>

<h3 id="Value">Value</h3>

<p>An array containing instances of {{domxref('USBInterface')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('','null','interfaces')}}</td>
   <td>{{Spec2('')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBConfiguration.interfaces")}}</p>
